##
# Standard Commands
# Wilfredo Sanchez | wsanchez@apple.com
# Copyright 1997 Apple Computer, Inc.
##
# Covers:
# - Rhapsody/Mach 5.0
# - OpenStep/Mach 4.2
##

##
# Make sure that we're using sh
##
SHELL=/bin/sh

##
# Archiving Commands
##
COMPRESS   = /usr/bin/compress
GUNZIP     = /usr/bin/gzip -d
GZCAT      = /usr/bin/gzip -d -c
GZIP       = /usr/bin/gzip -9
PAX        = /bin/pax
TAR        = /usr/bin/gnutar
UNCOMPRESS = $(GUNZIP)

##
# File Commands
##
CHGRP           = /bin/chgrp
CHMOD           = /bin/chmod
CP              = /bin/cp -pfR
DU		= /usr/bin/du
INSTALL_FILE    = $(INSTALL) -m $(Install_File_Mode)
INSTALL_PROGRAM = $(INSTALL) -m $(Install_Program_Mode) -s
LN		= /bin/ln
LS		= /bin/ls
MV		= /bin/mv -f
RM              = /bin/rm -f
RMDIR           = /bin/rm -fr

ifeq ($(USER),root)
INSTALL = /usr/bin/install -g $(Install_Group) -o $(Install_User)
else
INSTALL = /usr/bin/install
endif

ifeq ($(Host_Release),4.2mach)
CHOWN = /usr/etc/chown
MKDIR = /bin/mkdirs
else
CHOWN = /usr/sbin/chown
MKDIR = /bin/mkdir -p
endif

##
# Find Commands
##
FIND  = /usr/bin/find
XARGS = /usr/bin/xargs

##
# Installer
##
LSBOM = /usr/etc/lsbom
MKBOM = /usr/etc/mkbom

##
# Miscellaneous
##
AWK   = /bin/gawk
CUT   = /usr/bin/cut
FALSE = /usr/bin/false
TOUCH = /usr/bin/touch
TRUE  = /usr/bin/true
WC    = /usr/bin/wc
